package cn.iocoder.yudao.module.system.api.permission;

import cn.iocoder.yudao.module.system.api.permission.dto.RoleReqDTO;
import cn.iocoder.yudao.module.system.api.user.dto.UserDTO;

import java.util.Collection;
import java.util.List;

/**
 * 角色 API 接口
 *
 * @author 芋道源码
 */
public interface RoleApi {

    /**
     * 校验角色们是否有效。如下情况，视为无效：
     * 1. 角色编号不存在
     * 2. 角色被禁用
     *
     * @param ids 角色编号数组
     */
    void validRoleList(Collection<Long> ids);

    /**
     * 查询角色列表
     * @author 小李
     * @date 15:03 2024/8/14
    **/
    List<RoleReqDTO> getRoleList();
    /**
     * 查询角色
     * @author zcy
     **/
    RoleReqDTO getRoleInfo(String code);

    /**
     * 查询某个角色的用户
     * @author zcy
     **/
    List<UserDTO> selectUserListByRoleCode(Long tenantId,String code);

}
